PARREC2NII(1)

NAME
parrec2nii - convert PARREC image to NIfTI

SYNOPSIS
parrec2nii [OPTIONS] <PAR files>

DESCRIPTION
Code for PAR/REC to NIfTI converter command

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    Make some noise.

-o OUTDIR, --output-dir=OUTDIR
    Destination directory for NIfTI files. Default: current directory.

-c, --compressed
    Whether to write compressed NIfTI files or not.

-p, --permit-truncated
    Permit conversion of truncated recordings. Support for this is experimental, and results *must* be checked afterward for validity.

-b, --bvs
    Output bvals/bvecs files in addition to NIFTI image.

-d, --dwell-time
    Calculate the scan dwell time. If supplied, the magnetic field strength should also be supplied using --field-strength (default 3). The field strength must be supplied because it is not encoded in the PAR/REC format.

--field-strength=FIELD_STRENGTH
    The magnetic field strength of the recording, only needed for --dwell-time. The field strength must be supplied because it is not encoded in the PAR/REC format.

-i, --volume-info
    Export .PAR volume labels corresponding to the fourth dimension of the data. The dimension info will be stored in CSV format with the first row containing dimension labels and the subsequent rows (one per volume), the corresponding indices. Only labels that vary along the 4th dimension are exported (e.g. for a single volume structural scan there are no dynamic labels and no output file will be created).

--origin=ORIGIN
    Reference point of the q-form transformation of the NIfTI image. If 'scanner' the (0,0,0) coordinates will refer to the scanner's iso center. If 'fov', this coordinate will be the center of the recorded volume (field of view). Default: 'scanner'.

--minmax=MINMAX
    Minimum and maximum settings to be stored in the NIfTI header. If any of them is set to 'parse', the scaled data is scanned for the actual minimum and maximum. To bypass this potentially slow and memory intensive step (the data has to be scaled and fully loaded into memory), fixed values can be provided as spaceseparated pair, e.g. '5.4 120.4'. It is possible to set a fixed minimum as scan for the actual maximum (and vice versa). Default: 'parse parse'.

--store-header
    If set, all information from the PAR header is stored in an extension of the NIfTI file header. Default: off

--scaling=SCALING
    Choose data scaling setting. The PAR header defines two different data scaling settings: 'dv' (values displayed on console) and 'fp' (floating point values). Either one can be chosen, or scaling can be disabled completely ('off'). Note that neither method will actually scale the data, but just store the corresponding settings in the NIfTI header, unless non-uniform scaling is used, in which case the data is stored in the file in scaled form. Default: 'dv'

--keep-trace
    Do not discard the diagnostic Philips DTI trace volume, if it exists in the data.

--overwrite
    Overwrite file if it exists. Default: False

--strict-sort
    Use additional keys in determining the order to sort the slices within the .REC file. This may be necessary for more complicated scans with multiple echos, cardiac phases, ASL label states, etc.